Next: CBM-II command line options, Previous: CBM-II-specific commands and settings, Up: CBM-II-specific commands and settings [Contents][Index]

#### 7.8.1 Changing CBM-II model

With `xcbm2` and `xcbm5x0`, it is possible to change at runtime the characteristics of the emulated CBM so that it matches (or not) the ones of a certain CBM model, and it is also possible to select from a common set of CBM models so that all the features are selected accordingly.

The former is done by changing the following resources (via resource file, command line options or right-menu items):

`RamSize`

  Size of memory in KiB. xcbm2: (128, 256, 512, 1024) xcbm5x0: (64, 128, 256, 512, 1024)

`Ram08`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $0800-$0FFF or not.

`Ram1`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $1000-$1FFF or not.

`Ram2`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $2000-$3FFF or not.

`Ram4`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $4000-$5FFF or not.

`Ram6`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $6000-$7FFF or not.

`RamC`

  Boolean specifying whether the RAM should be mapped to the expansion ROM area at $C000-$CFFF or not.

`CartridgeReset`

  Boolean specifying whether the machine should be reset when a cartridge is changed.

`Cart1Name`

  String specifying the filename for the $1000-$1FFF expansion ROM file. This file contains a 4KiB ROM dump.

`Cart2Name`

  String specifying the filename for the $2000-$3FFF expansion ROM file. This file contains an 8KiB ROM dump.

`Cart4Name`

  String specifying the filename for the $4000-$5FFF expansion ROM file. This file contains an 8KiB ROM dump.

`Cart6Name`

  String specifying the filename for the $6000-$7FFF expansion ROM file. This file contains an 8KiB ROM dump.

`ModelLine`

  The CBM-II business models have two hardcoded lines at one of the I/O ports. From those lines the kernal determines how it should init the CRTC video chip for either 50Hz (Europe) or 60Hz (North America), and either for 8 (C6x0) or 14 (C7x0) scanlines per character. xcbm2: (0: CBM 7x0 (50Hz), 1: 60Hz C6x0, 2: 50Hz C6x0) xcbm5x0: (1: 60Hz C5x0, 2: 50Hz C5x0)

`ChargenName`

  String specifying the name of the character generator ROM (default for xcbm2: `chargen.600`, default for xcbm5x0: `chargen.500`).

`KernalName`

  String specifying the name of the Kernal ROM (default for xcbm2: `kernal`, default for xcbm5x0: `kernal.500`).

`BasicName`

  String specifying the name of the Basic ROM (default for xcbm2: `basic.128`, default for xcbm5x0: `basic.500`).

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (1: PAL, 2: NTSC).

Choosing a common CBM-II model is done from the right-button menu instead, by choosing an item from the “Model defaults” submenu. Available models are:

- C510 PAL or NTSC (128KiB RAM)
- C610 PAL or NTSC (128KiB RAM)
- C620 (256KiB RAM)
- C620+ (1024KiB RAM, expanded) PAL or NTSC
- C710 (128KiB RAM) NTSC
- C720 (256KiB RAM) NTSC
- C720+ (1024KiB RAM, expanded) NTSC

Notice that this will reset the emulated machine.

Warning: At this time the 5x0 and other machines are implemented in different executables, so switching between those models is not possible.

It is also possible to select the CBM model at startup, with the `-model` command-line option: for example, ‘`xcbm2 -model 610`’ will emulate a CBM 610 while ‘`xcbm2 -model 620`’ will emulate a CBM 620.

#### 7.8.2 CBM-II system ROM settings

#### 7.8.2.1 CBM-II system ROM resources

#### 7.8.2.2 CBM-II system ROM command line options

`-kernal <name>`

  Specify the name of the Kernal ROM file (`KernalName`).

`-basic <name>`

  Specify the name of the Basic ROM file (`BasicName`).

`-chargen <name>`

  Specify the filename for the character generator ROM file (`ChargenName`).

`+cart`

  Disable all cartridges (which would eventually be enabled in the config file).

`-cartreset`
`+cartreset`

  Reset/do not reset machine if a cartridge is attached or detached (`CartridgeReset=1`, `CartridgeReset=0`).

`-cart1 <name>`

  Specify the filename for the ROM image file for the cartridge area $1000-$1FFF (`Cart1Name`).

`-cart2 <name>`

  Specify the filename for the ROM image file for the cartridge area $2000-$2FFF (`Cart2Name`).

`-cart4 <name>`

  Specify the filename for the ROM image file for the cartridge area $4000-$5FFF (`Cart4Name`).

`-cart6 <name>`

  Specify the filename for the ROM image file for the cartridge area $6000-$7FFF (`Cart6Name`).

Next: CBM-II command line options, Previous: CBM-II-specific commands and settings, Up: CBM-II-specific commands and settings [Contents][Index]